
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body {
    background-color: #ffffff;
    text-align: center;
    overflow-x: hidden;
    font-family: "Raleway", sans-serif;
}
html {
        scroll-behavior: smooth;
}
h1, h2, h3, a {
    font-family: "Bree Serif", serif;
}
h1 {
    letter-spacing: 0.5rem;
}
section {
    margin-top: 100px;
    scroll-margin-top: 150px;
}
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 5%;
    background-color: white;
    position: sticky;
    top: 0;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    flex-wrap:wrap;
    z-index: 10;
}
nav img.logo {
    width: 120px;
}
nav ul {
    display: flex;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
    flex-wrap: wrap;
}
nav ul li a{
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    background-color: black;
    height: auto;
    width: 10rem;
    padding: 5px;
    font-weight: bold;
    font-size: 1rem;
    font-family: "Bree Serif";
    border-radius: 4px;
    border: 3px solid #0099DC;
    transition: all 0.3s ease;
    letter-spacing: 0.2rem;
}
nav ul li a:hover,
.menu li a:hover {
    background-color: #ffffff;
    color: black;
    cursor: pointer;
}
button.menu-toggle {
    background-color: transparent;
    max-width: 150px;
    justify-content: center;
    display: flex;
    align-items: center;
}
.menu-toggle {
    display: none;
    font-size: 28px;
    border: none;
    cursor: pointer;
    margin-top: 0;
}
.menu {
    overflow: hidden;
    max-height: 0;
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
    align-items: center;
    gap: 10px;
    padding: 0; 
    transition: max-height 0.5s ease, padding 0.5s ease;
}
.menu.active {
    max-height: 1000px; 
    padding: 10px 0;    
    width: 100%;
}
@media (min-width: 769px) {
    .menu {
        display: flex; 
        flex-direction: row;      
        max-height: 100%;        
        padding: 0;              
        justify-content: flex-end;
        position: absolute; 
        gap: 30px;
        background: none;
        width: 90%;
    }
    .menu li a {
        width: auto; 
        height: auto;
        padding: 5px 15px;
    }
    .menu-toggle {
        display: none; 
    }
}



.intro {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    height: auto;
    background-color: #2BCBF9;
    border-bottom:none;
    position: relative;
}
.left_side, .right_side {
    width: 50%;
}
.left_side h1 {
    color: white;
    font-size: 5rem;
    margin-top: 15px;
}
.CTA {
    margin-top: 10%;
    margin-bottom: 5%;
    border: 2px solid white;
    padding: 2%;
    border-radius: 8px;
    width: 70%;
    margin-left: auto;
    margin-right: auto;
    cursor: pointer;
}
#cta_btn {
    color: white;
    font-size: 1.3rem;
}
.right_side img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
}
#onas {
    margin-top: 5%;
}
.about {
    width: 80%;
    display: flex;
    flex-direction: column;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1%;
}
a {
    text-decoration-line: none;
}
.offers {
    margin-top: 15%;
}
.offer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin: 20px auto;
    max-width: 80%;
    padding: 20px;
    border: 2px solid #ccd4e2;
    border-radius: 10px;
    background-color: #2BCBF9;
    box-shadow: 0 8px 15px rgba(0,0,0,0.2);
    transition: all 0.3s ease;
}
.offer:hover {
    transform: translateY(-10px);
    box-shadow: 0 15px 30px rgba(0,0,0,0.25);
}
.offer p {
    width: 100%;
}
.offer img {
    width: 100%;
    max-width: 290px;
    border-radius: 10px;
}
.reverse {
    flex-direction: row-reverse;
}
.us {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 5% auto 0;
    justify-content: center;
}
.us h2 {
    flex: 0 0 100%;
}
.box {
    max-width: 250px;
}
.us img {
    height: 140px;
}
.name {
    color: #00bfff;
    font-family: "Bree Serif", serif;
    font-weight: bold;
    font-size: 1.3rem;
}
.price {
    border: 4px solid #0C3374;
    max-width: 70%;
    margin: 15px auto;
    border-radius: 8px;
    padding: 15px;
}
.price span {
    font-family: "Bree Serif";
    font-size: 18.72px;
    color: #0099DC;
}
#cennik {
    margin-top: 15%;
}
.contact_bg {
    background-color: #2BCBF9;
    background-image: url(photos/contact.png);
    color: white;
    padding: 50px 10px;
    background-repeat: no-repeat;
}
.contact {
    width: 80%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    backdrop-filter: blur(13.6px);
    background-image: linear-gradient(45deg, rgba(255,255,255,0.1), rgba(255,255,255,0.1));
    border-radius: 8px;
}
 .contact span {
    color: rgb(0, 0, 0);
    font-weight: bold;
    font-family: "Raleway";
}

input {
    display: block;
    flex-direction: row;
    justify-content: stretch;
    height: 2rem;
    width: 100%;
}
#name, #email, #message {
  margin-top: 10px;
  border: none;
  padding: 8px;
  font-size: 1rem;
  border-radius: 8px;
  color: rgb(0, 0, 0);
  width: 100%;
  font-family: "Raleway";
}
input:focus, #message:focus {
    background-color: #0673AB;
    border: none;
    outline: none;
}
#message {
    height: 150px;
}
#checkbox {
    width: 20%;
}
.checkboxItem {
    display: flex;
    align-items: center;
}
.agree {
    width: 100%;
}
button {
    width: 50%;
    height: 60px;
    background: transparent;
    border: none;
    border-radius: 8px;
    border: 1px solid rgb(255, 255, 255);
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: 0.3s;
    margin-top: 5%;
    font-size: 1.3rem;
    font-family: "Bree Serif";
    color: rgb(255, 255, 255);
    z-index: 1;
    letter-spacing: 0.3rem;
    }

.footer, .owner {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2%;
    padding: 8px;
    color: white;
}

.footer p {
    color: black;
}
.contact a {
    color: white;
    font-weight: normal;
}
.footer img {
    height: 50px;
}
.owner {
    background-color: black;
    gap:20%
}
.owner a {
    color: white;
    font-family: "Raleway";
   
}
@media (max-width: 992px) { /*max do tableta będzie: */
    .intro {
        flex-direction: column;
        height: auto;
        text-align: center;
    }
    .left_side {
        width: 80%;
        margin: auto;
    }
    .right_side {
        width: 100%;
    }
    .left_side h1 {
        font-size: 3rem;
    }
    .left_side h2 {
        font-size: 1.5rem;
    }
    nav ul {
        justify-content: flex-end;
        display: block;
    }

}
@media (max-width: 768px) {
    nav {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 10px;
    }
    nav img.logo {
        margin: 0;
    }
    .menu-toggle {
        display: block;
    }
    .menu {
        display: none;
    }
    .menu.active {
        display: flex;
    }
    nav ul {
        flex-direction: column;
        gap: 10px;
        width: 100%;
        align-items: center;
    }
    .offer, .reverse {
        flex-direction: column;
    }
    .left_side h1 {
        font-size: 2.5rem;
    }
    .left_side h2 {
        font-size: 1.2rem;
    }
    .offer img {
        max-width: 100%;
    }
    .owner {
        display: block;
    }
}
@media (min-width:768px){
    .price {
       max-width: 30%;
    }
    .contact {
        max-width: 50%;
    }
}

@media (min-width:1300px) {
    .left_side {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 5%;
    }
    .offers {
        align-items: center;
        gap: 20px;
        width: 60%;
        margin-left: auto;
        margin-right: auto;
        margin-top: 5%;
    }
    .offer {
        display: flex;
        align-items: center;
        border-radius: 19% 81% 10% 90% / 25% 26% 74% 75%;
        background-color: transparent;
        border: 2px solid #2BCBF9;
        background: linear-gradient(to bottom, #00bfff, #1e90ff);
    }
    .reverse {
        border-radius: 81% 19% 90% 10% / 26% 25% 75% 74%;
    }
    .offer img {
        width: 290px;
        max-width: 100%;
        border-radius: 10px;
    }
    .offer p {
        flex: 1;
        margin: 0;
    }
    .offer h2 {
        display: flex;
        flex-direction: column;  
    }
    .price {
        max-width: 20%;
    }
    #cennik {
        margin-top: 5%;
    }
    .contact {
        width: 35%;
    }
} 

@keyframes wave {
    from {
        background-position-x: 0;
    }
    to {
        background-position-x: 200%;
    }
}
#wave_down {
    display: flex;
    align-items: flex-end;
    width: 100%;
    height: 10%;
    background-image: url(photos/wave_down.png);
    background-size: 200% 100%;
    animation: wave 4s linear infinite;
    transition: 0.10s;
    position: absolute; 
    bottom: -8px;          
    left: 0;
    z-index: 1;
    clip-path: inset(0 0 0 0);
}   

button:hover, .CTA:hover {
    animation: pulse 1s infinite ;
}    
@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
} 